<?xml version="1.0" encoding="UTF-8"?>
<component id="contribuyente_puestos_srch">
    <type>SEARCH</type>
    <title>PUESTOS RELACIONADOS..............................................................................................................</title>
    <rows>125</rows>
    <width>950</width>
    <height>600</height>
    <pbin>NO</pbin>
    <base_path>..</base_path>
    <master>
        
        <table>sdm_contribuyentes</table>
        <id_field>i8_contribuyente_id</id_field>        
        <select_fields>i8_contribuyente_id,v128_contribuyente,c14_nit_id,c11_dui_id,c14_iva_id,c16_pasaporte_id</select_fields>
        <needed_fields></needed_fields>
        <order_by>1</order_by>
        <direction>asc</direction>
        <limit>25</limit>
        <offset>0</offset>        
        <associations>contribuyente,telefono,fax,email</associations>
        <association id="contribuyente" type="soft">
           
            <header>Direcciones del Contribuyente</header>
            <table>sdd_contribuyente_direcciones</table>
            <keys>i8_contribuyente_id</keys>
            <insert_fields></insert_fields>
            <delete_fields></delete_fields>
            <filters>
                <fields>i2_tipo_direccion_id</fields>
                <values>1</values>
            </filters>
            <fields>txt_direccion</fields>
            <document_fields>txt_direccion</document_fields>
        </association>
        <association id="telefono" type="soft">
           
            <header>Telefonos del Contribuyente</header>
            <table>sdd_contribuyente_telefonos</table>
            <keys>i8_contribuyente_id</keys>
            <insert_fields></insert_fields>
            <delete_fields></delete_fields>
            <filters>
                <fields>i2_tipo_telefono_id</fields>
                <values>1</values>
            </filters>
            <fields>v16_telefono</fields>
            <document_fields>v16_telefono</document_fields>
        </association>
        <association id="fax" type="soft">
           
            <header>Faxes del Contribuyente</header>
            <table>sdd_contribuyente_faxes</table>
            <keys>i8_contribuyente_id</keys>
            <insert_fields></insert_fields>
            <delete_fields></delete_fields>
            <filters>
                <fields>i2_tipo_fax_id</fields>
                <values>1</values>
            </filters>
            <fields>v16_fax</fields>
            <document_fields>v16_fax</document_fields>
        </association>
        <association id="email" type="soft">
           
            <header>Faxes del Contribuyente</header>
            <table>sdd_contribuyente_emails</table>
            <keys>i8_contribuyente_id</keys>
            <insert_fields></insert_fields>
            <delete_fields></delete_fields>
            <filters>
                <fields>i2_tipo_email_id</fields>
                <values>1</values>
            </filters>
            <fields>txt_email</fields>
            <document_fields>txt_email</document_fields>
        </association>
        <association id="null"></association>
    </master>
    <detail>
        
        <header>puestos del Contribuyente</header>
        <table>sdd_puesto_contribuyentes</table>
        <id_field>i8_contribuyente_id</id_field>        
        <select_fields>i8_puesto_id</select_fields>
        <passback_fields>i8_puesto_id,txt_ubicacion,i8_nis_id,txt_propietarios</passback_fields>        
        <order_by>1</order_by>
        <direction>asc</direction>
        <limit>25</limit>
        <offset>0</offset>
        <associations>puesto,propietarios,nis</associations>        
        <association id="puesto" type="hard" result="table">
           
            <header>Contribuyentes</header>
            <table>sdm_puestos</table>
            <keys>i8_puesto_id</keys>
            <fields>c11_sector_id,i2_tipo_sector_id,c2_poligono_id,c2_block_id,c2_zona_id,c2_barrio_id,c4_calle_id,c4_avenida_id,c2_pasaje_id,c2_senda_id,c4_casa,i4_parcela,txt_referencia,c16_codigo_catastral_id,c16_estado</fields>
            <document_fields>c11_sector_id,i2_tipo_sector_id,c2_poligono_id,c2_block_id,c2_zona_id,c2_barrio_id,c4_calle_id,c4_avenida_id,c2_pasaje_id,c2_senda_id,c4_casa,i4_parcela,txt_referencia,c16_codigo_catastral_id,c16_estado</document_fields>
            <select_labels id="c11_sector_id">
       
                <table>sdm_sectores</table>
                <id_field>c11_sector_id</id_field>
                <fields>v64_sector</fields>
                <document_fields>v64_sector</document_fields>
            </select_labels>
            <select_labels id="i2_tipo_sector_id">
       
                <table>sdm_tipo_sectores</table>
                <id_field>i2_tipo_sector_id</id_field>
                <fields>v64_tipo_sector</fields>
                <document_fields>v64_tipo_sector</document_fields>
            </select_labels>
            <select_labels id="c2_poligono_id">
       
                <table>sdd_sector_poligonos</table>
                <id_field>c11_sector_id,c2_poligono_id</id_field>
                <fields>v64_poligono</fields>
                <document_fields>v64_poligono</document_fields>
                <filter>
           
                    <table>sdm_puestos</table>
                    <keys>i8_puesto_id</keys>
                    <field>c11_sector_id</field>
                </filter>
            </select_labels>
            <select_labels id="c2_block_id">
       
                <table>sdd_sector_blocks</table>
                <id_field>c11_sector_id,c2_block_id</id_field>
                <fields>v64_block</fields>
                <document_fields>v64_block</document_fields>
                <filter>
           
                    <table>sdm_puestos</table>
                    <keys>i8_puesto_id</keys>
                    <field>c11_sector_id</field>
                </filter>
            </select_labels>
            <select_labels id="c2_zona_id">
       
                <table>sdd_sector_zonas</table>
                <id_field>c11_sector_id,c2_zona_id</id_field>
                <fields>v64_zona</fields>
                <document_fields>v64_zona</document_fields>
                <filter>
           
                    <table>sdm_puestos</table>
                    <keys>i8_puesto_id</keys>
                    <field>c11_sector_id</field>
                </filter>
            </select_labels>
            <select_labels id="c2_barrio_id">
       
                <table>sdd_sector_barrios</table>
                <id_field>c11_sector_id,c2_barrio_id</id_field>
                <fields>v64_barrio</fields>
                <document_fields>v64_barrio</document_fields>
                <filter>
           
                    <table>sdm_puestos</table>
                    <keys>i8_puesto_id</keys>
                    <field>c11_sector_id</field>
                </filter>
            </select_labels>
            <select_labels id="c4_avenida_id">
       
                <table>sdd_sector_avenidas</table>
                <id_field>c11_sector_id,c4_avenida_id</id_field>
                <fields>v64_avenida</fields>
                <document_fields>v64_avenida</document_fields>
                <filter>
           
                    <table>sdm_puestos</table>
                    <keys>i8_puesto_id</keys>
                    <field>c11_sector_id</field>
                </filter>
            </select_labels>
            <select_labels id="c4_calle_id">
       
                <table>sdd_sector_calles</table>
                <id_field>c4_calle_id</id_field>
                <fields>v64_calle</fields>
                <document_fields>v64_calle</document_fields>
                <filter>
           
                    <table>sdm_puestos</table>
                    <keys>i8_puesto_id</keys>
                    <field>c11_sector_id</field>
                </filter>
            </select_labels>
            <select_labels id="c2_pasaje_id">
       
                <table>sdd_sector_pasajes</table>
                <id_field>c11_sector_id,c2_pasaje_id</id_field>
                <fields>v64_pasaje</fields>
                <document_fields>v64_pasaje</document_fields>
                <filter>
           
                    <table>sdm_puestos</table>
                    <keys>i8_puesto_id</keys>
                    <field>c11_sector_id</field>
                </filter>
            </select_labels>
            <select_labels id="c2_senda_id">
       
                <table>sdd_sector_sendas</table>
                <id_field>c11_sector_id,c2_senda_id</id_field>
                <fields>v64_senda</fields>
                <document_fields>v64_senda</document_fields>
                <filter>
           
                    <table>sdm_puestos</table>
                    <keys>i8_puesto_id</keys>
                    <field>c11_sector_id</field>
                </filter>
            </select_labels>
            <select_labels id="null"></select_labels>
            <table_schema>
                <![CDATA[
                    <TABLE width="98%">
                        <TR> 
                            <TD valign="top" width="65%">
                                <TABLE>
                                    <TR>
                                        <TD>Clave</TD>            
                                        <TD>{c16_codigo_catastral_id}</TD>
                                        <TD>Estado</TD>            
                                        <TD>{c16_estado}</TD>            
                                    </TR>
                                    <TR> 
                                        <TD>Tipo Sector</TD>
                                        <TD>{v64_tipo_sector}</TD>
                                        <TD>Barrio</TD>
                                        <TD>{v64_barrio}</TD>
                                    </TR>
                                    <TR> 
                                        <TD>Sector</TD>
                                        <TD>{v64_sector}</TD>
                                        <TD>Casa #</TD>
                                        <TD>{c4_casa}</TD>
                                    </TR>
                                    <TR> 
                                        <TD>Calle</TD>
                                        <TD>{v64_calle}</TD>
                                        <TD>Poligono</TD>
                                        <TD>{v64_poligono}</TD>
                                    </TR>
                                    <TR> 
                                        <TD>Avenida</TD>
                                        <TD>{v64_avenida}</TD>
                                        <TD>Senda</TD>
                                        <TD>{v64_senda}</TD>
                                    </TR>
                                    <TR>
                                        <TD>Pasaje</TD>
                                        <TD>{v64_pasaje}</TD>
                                        <TD>Block</TD>
                                        <TD>{v64_block}</TD>
                                    </TR>
                                    <TR>
                                        <TD colspan="4">Referencia</TD>
                                    </TR>
                                    <TR>
                                        <TD colspan="4" valign="top">{txt_referencia}</TD>
                                    </TR>
                                </TABLE>
                            </TD>
                        </TR>
                </TABLE>
            ]]>
        </table_schema>
        </association>
        <association id="propietarios"  type="hard" result="recordset">
   
            <header>puestos del Contribuyente</header>
            <table>sdd_puesto_contribuyentes</table>
            <keys>i8_puesto_id</keys>
            <fields>i8_contribuyente_id,i2_tipo_contribuyente_id</fields>
            <document_fields>i8_contribuyente_id,i2_tipo_contribuyente_id</document_fields>
            <select_labels id="i2_tipo_contribuyente_id">
       
                <table>sdm_tipo_contribuyentes</table>
                <id_field>i2_tipo_contribuyentes</id_field>
                <fields>v64_tipo_contribuyente</fields>
                <document_fields>v64_tipo_contribuyente</document_fields>
            </select_labels>
            <select_labels id="i8_contribuyente_id">
       
                <table>sdm_contribuyentes</table>
                <id_field>i8_contribuyente_id</id_field>
                <fields>v128_contribuyente</fields>
                <document_fields>v128_contribuyente</document_fields>
            </select_labels>
            <select_labels id="null"></select_labels>
            <table_schema>
                <![CDATA[
                    <TABLE width="98%">
                        <TR> 
                            <TD  valign="top">
                                <TABLE width="100%">
                                    {recordset}
                                </TABLE>
                            </TD>
                        </TR>
                </TABLE>
                ]]>
            </table_schema>            
            <recordset_schema>
                <![CDATA[
                    <TR> 
                        <TD>{v64_tipo_contribuyente}</TD>
                        <TD>{v128_contribuyente}</TD>
                    </TR>
                ]]>                
            </recordset_schema>
        </association>
        <association id="nis" type="hard" result="table">
           
            <header>Nis</header>
            <table>sdd_puesto_suministro_nics</table>
            <keys>i8_puesto_id</keys>
            <fields>i8_nis_id</fields>
            <document_fields>i8_nis_id</document_fields>
            <select_labels id="null"></select_labels>
            <table_schema>
                <![CDATA[
                    <TABLE width="98%">
                        <TR> 
                            <TD>NIS</TD>
                            <TD>{i8_nis_id}</TD>
                        </TR>
                </TABLE>
            ]]>
            </table_schema>
        </association>        
        <association id="null"></association>
        <grid>
            <columns>i8_puesto_id,puesto,propietarios,nis</columns>
            <column id="i8_puesto_id">
                <properties>
                    <type>text</type>
                    <data>text</data>                
                    <header>puesto</header>
                    <width>8</width>
                </properties>        
                <events>
                    <onMouseOver>Hilite()</onMouseOver>
                    <onMouseOut>Restore()</onMouseOut>
                </events>
                <elements>NO</elements>
            </column>
            <column id="puesto">
                <properties>
                    <type>table</type>
                    <data></data>                
                    <header>UBICACION</header>
                    <width>8</width>
                </properties>        
                <events>
                    <onMouseOver>Hilite()</onMouseOver>
                    <onMouseOut>Restore()</onMouseOut>
                </events>
                <elements>NO</elements>
            </column>
            <column id="propietarios">
                <properties>
                    <type>table</type>
                    <data></data>                
                    <header>PROPIETARIOS</header>
                    <width>20</width>
                </properties>        
                <events>
                    <onMouseOver>Hilite()</onMouseOver>
                    <onMouseOut>Restore()</onMouseOut>
                </events>
                <elements>NO</elements>
            </column>
            <column id="nis">
                <properties>
                    <type>table</type>
                    <data></data>                
                    <header>NIS</header>
                    <width>8</width>
                </properties>        
                <events>
                    <onMouseOver>Hilite()</onMouseOver>
                    <onMouseOut>Restore()</onMouseOut>
                </events>
                <elements>NO</elements>
            </column>            
            <column id="counter">
                <properties>
                    <type>link</type>
                    <data>text</data>
                    <header>No.</header>
                    <width>4</width>
                </properties>        
                <events>
                    <onMouseOver>Hilite()</onMouseOver>
                    <onMouseOut>Restore()</onMouseOut>
                </events>
                <elements>NO</elements>
            </column>>
            <counter>ON</counter>
            <delete>NO</delete>
            <tdheader_style>text-align:center</tdheader_style>
            <tdbody_style>text-align:left;vertical-align:top</tdbody_style>
        </grid>
    </detail>
</component>